--- mono.orig/mcs/class/System.Windows.Forms/System.Windows.Forms/TextRenderer.cs
+++ mono/mcs/class/System.Windows.Forms/System.Windows.Forms/TextRenderer.cs
@@ -258,6 +258,7 @@ namespace System.Windows.Forms
 			StringFormat sf = FlagsToStringFormat (flags);
 
 				Size retval;
+                                Font realFont = font;
 
 				int proposedWidth;
 				if (proposedSize.Width == 0)
@@ -267,10 +268,16 @@ namespace System.Windows.Forms
 					if ((flags & TextFormatFlags.NoPadding) == 0)
 						proposedWidth -= 9;
 				}
+
+                                if (font == null)
+                                {
+                                        realFont = SystemFonts.DefaultFont;
+                                }
+
 				if (dc is Graphics)
-					retval = (dc as Graphics).MeasureString (text, font, proposedWidth, sf).ToSize ();
+					retval = (dc as Graphics).MeasureString (text, realFont, proposedWidth, sf).ToSize ();
 				else
-					retval = TextRenderer.MeasureString (text, font, proposedWidth, sf).ToSize ();
+					retval = TextRenderer.MeasureString (text, realFont, proposedWidth, sf).ToSize ();
 
 				if (retval.Width > 0 && (flags & TextFormatFlags.NoPadding) == 0)
 					retval.Width += 9;
